    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface org.jdom.adapters.DOMAdapter

public interface DOMAdapter

`DOMAdapter`

This interface defines wrapper behavior for obtaining a DOM `Document` object from a DOM parser.

Version:
  $Revison$, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin, Jason Hunter

##

createDocument()

  This creates an empty `Document` object based on a specific parser implementation.

createDocument(DocType)

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.

getDocument(File, boolean)

  This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.

getDocument(InputStream, boolean)

  This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

##

getDocument

     public abstract Document getDocument(File filename,
                                          boolean validate) throws Exception

  This creates a new `Document` from a given filename by letting a DOM parser handle parsing from the file.

  Parameters:
    filename - file to parse.
    validate - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws: Exception
    when errors occur in parsing.

getDocument

     public abstract Document getDocument(InputStream in,
                                          boolean validate) throws Exception

  This creates a new `Document` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.

  Parameters:
    in - `InputStream` to parse.
    validate - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws: Exception
    when errors occur in parsing.

createDocument

     public abstract Document createDocument() throws Exception

  This creates an empty `Document` object based on a specific parser implementation.

  Returns:
    `Document` - created DOM Document.
  Throws: Exception
    when errors occur.

createDocument

     public abstract Document createDocument(DocType doctype) throws Exception

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.

  Parameters:
    doctype - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws: Exception
    when errors occur.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index